<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Model 
{

    protected $table = 'users';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('first_name', 'last_name', 'email', 'phone_number', 'country_code_id');

    public function countryCode()
    {
        return $this->belongsTo('App\Models\CountryCode');
    }

    public function carts()
    {
        return $this->hasMany('App\Models\Cart');
    }

    public function reviews()
    {
        return $this->belongsTo('App\Models\Review');
    }

}